/* GStreamer Recorder
 * (c) 2003 Ronald Bultje <rbultje@ronald.bitfreak.net>
 *
 * debug.h: debug definitions
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GST_REC_DEBUG_H__
#define __GST_REC_DEBUG_H__

#include <glib.h>
#include <gst/gst.h>

G_BEGIN_DECLS GST_DEBUG_CATEGORY_EXTERN (gst_rec_debug_cat);

#ifdef G_HAVE_ISO_VARARGS
#define GST_REC_ERROR(...)       GST_CAT_ERROR (gst_rec_debug_cat, __VA_ARGS__)
#define GST_REC_WARNING(...)     GST_CAT_WARNING (gst_rec_debug_cat, __VA_ARGS__)
#define GST_REC_INFO(...)        GST_CAT_INFO (gst_rec_debug_cat,  __VA_ARGS__)
#define GST_REC_DEBUG(...)       GST_CAT_DEBUG (gst_rec_debug_cat, __VA_ARGS__)
#define GST_REC_LOG(...)         GST_CAT_LOG (gst_rec_debug_cat, __VA_ARGS__)
#elif defined(G_HAVE_GNUC_VARARGS)
#define GST_REC_ERROR(args...)   GST_CAT_ERROR (gst_rec_debug_cat, ##args)
#define GST_REC_WARNING(args...) GST_CAT_WARNING (gst_rec_debug_cat, ##args)
#define GST_REC_INFO(args...)    GST_CAT_INFO (gst_rec_debug_cat, ##args)
#define GST_REC_DEBUG(args...)   GST_CAT_DEBUG (gst_rec_debug_cat, ##args)
#define GST_REC_LOG(args...)     GST_CAT_LOG (gst_rec_debug_cat, ##args)
#endif

void gst_rec_debug_init (void);

G_END_DECLS
#endif /* __GST_REC_DEBUG_H__ */
